<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="CorreccionesFoliosCerrados.aspx.cs" Inherits="Seven.Front.CorreccionesFoliosCerrados" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("CorreccionesFoliosCerrados") %> [2.9]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del jqGrid para CR */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCR() {
            $('#txtCobrado').val('<%=string.Format("{0:N2}", 0) %>');
            $.ajax({
                url: 'Servicio.svc/GetFolioMone',
                data: { "nro_folio": $('#txtNroFolio').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function()
                {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $('#IdSubElementMON').val(JSON.parse(json.d));
                        GetTipoCobrosComboJQGrid();
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetTipoCobrosComboJQGrid() {
            $.ajax({
                url: 'Servicio.svc/GetTipoCobrosComboJQGrid',
                data: {
                    "Modo": 2, "id_mone": $('#IdSubElementMON').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando2").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando2").dialog('close');
                    try {
                        $("#jqgCR").jqGrid('setColProp', 'id_tcob', { editoptions: { value: $.parseJSON(json.d) } });
                        GetCR2();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetCR2() {
            $.ajax({
                url: 'Servicio.svc/GetCorreccionesFolios',
                data: {
                    "nro_folio": $('#txtNroFolio').val(), "reload": $('#Reload').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando1').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgCR").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgCR")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgCR").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        $('#Reload').val(0);
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCR(id, id_hfco, id_cuenta, id_tcob, id_hfac, tarj_cred, entregado, propina, comision, aplicado, vuelto, tasa_monpag, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutCorreccionesFolios',
                data: {
                    "id_corr": id, "id_hfco": id_hfco, "id_cuenta": $('#cbCuentaComi').val(), "id_tcob": id_tcob
                    , "id_hfac": id_hfac, "tarj_cred": $('#txtNumTarj').val(), "entregado": entregado, "propina": propina
                    , "comision": comision, "aplicado": aplicado, "vuelto": vuelto
                    , "tasa_monpag": tasa_monpag
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementCR').val(0);
                            BotonDefaultCR();
                            RefreshGridCR();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultCR();
                                RefreshGridCR();
                            }
                            else
                            {
                                $('#IdSubElementCR').val(res);
                                BotonDefaultCR();
                                RefreshGridCR();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function ApplyCR() {
            $.ajax({
                url: 'Servicio.svc/ApplyCorreccionesFolios',
                data: {
                    "id_hfac": $('#IdSubElementFA').val(), "motivo": $('#txtMotivo').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        ResetFormCR();
                        $('#dlgInformation').html('<%=L.LBL("LblGENMSG_DeletedData") %>');
                        $('#dlgInformation').dialog('open');
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCR() {

            var lselCR;
            var colMap = {};
            $("#jqgCR").jqGrid({
                datatype: 'local',
                height: 125,
                width: 470,
                colNames: ['', '', '', '<%=L.LBL("LblGENTipoCobro") %>', '', '', '<%=L.LBL("LblGENEntregado") %>', '', ''
                    , '<%=L.LBL("LblGENCobrado") %>', '', '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_hfco', index: 'id_hfco', width: 10, editable: true, hidden: true },
                            { name: 'id_cuenta', index: 'id_cuenta', width: 10, editable: true, hidden: true },
                            {
                                name: 'id_tcob', index: 'id_tcob', width: 10, editable: true,
                                formatter: 'select',
                                edittype: "select",
                                editoptions: {<%=Utils.cbDummy %> },
                                searchoptions: {<%=Utils.cbDummy %> },
                                stype: "select",
                                search: true
                            },
                            { name: 'id_hfac', index: 'id_hfac', width: 10, editable: true, hidden: true },
                            { name: 'tarj_cred', index: 'tarj_cred', width: 10, editable: true, hidden: true },
                            { name: 'entregado', index: 'entregado', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'propina', index: 'propina', width: 10, editable: true, hidden: true },
                            { name: 'comision', index: 'comision', width: 10, editable: true, hidden: true },
                            { name: 'aplicado', index: 'aplicado', width: 10, editable: false, searchoptions: { sopt: ListFindN } },
                            { name: 'vuelto', index: 'vuelto', width: 10, editable: true, hidden: true },
                            { name: 'tasa_monpag', index: 'tasa_monpag', width: 10, editable: true, hidden: true },
                            { name: 'agencia', index: 'agencia', width: 10, editable: true, hidden: true },
                            { name: 'a_cobrar', index: 'a_cobrar', width: 10, editable: true, hidden: true },
                            { name: 'cobrado', index: 'cobrado', width: 10, editable: true, hidden: true },
                            { name: 'id_mone', index: 'id_mone', width: 10, editable: true, hidden: true },
                            { name: 'cod_mone', index: 'cod_mone', width: 10, editable: true, hidden: true },
                            { name: 'id_cuenta_cont', index: 'id_cuenta_cont', width: 10, editable: true, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselCR) && !isNaN(id)) {
                            $("#jqgCR").jqGrid('delRowData', lselCR);
                            //$('#jqgCR').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgCR").jqGrid('getRowData', id);

                            $('#jqgCR').jqGrid('restoreRow', lselCR);
                            //$('#jqgCR').jqGrid('saveRow', id);

                            $('#IdSubElementCR').val(ret.Id);

                            $('#IdSubElementFA').val(ret.id_hfac);

                            $('#txtNumTarj').val(ret.tarj_cred);
                            $('#cbCuentaComi').val(ret.id_cuenta);

                            $('#txtACobrar').val(ret.a_cobrar);
                            $('#txtCobrado').val(ret.cobrado);
                            $('#txtMone').html(ret.cod_mone);

                            var cta = parseInt($('#txtIdCuentaCont').val());
                            if (cta == 0) {
                                $('#txtIdCuentaCont').val(ret.id_cuenta_cont);
                            }

                            if (parseInt($("#jqgCR").getCell(ret.agencia)) > 0) {
                                $('#txtEmpresa').html('<%=L.LBL("LblGENCompany").ToUpper() %>');
                            }
                            else {
                                $('#txtEmpresa').html('');
                            }

                            UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + ret.id_tcob).val());
                        }
                        else {
                            BotonNuevoCR();
                        }

                        //$('#jqgCR').jqGrid('restoreRow', lselCR);
                        $('#jqgCR').jqGrid('editRow', id, true, EventsCR);

                        lselCR = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselCR)) {
                            $("#jqgCR").jqGrid('delRowData', lselCR);
                            $('#jqgCR').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgCR').jqGrid('saveRow', lselCR);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgCR').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgCR").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextCR').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCR').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextCR').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCR').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgCR').jqGrid('setSelection', id); 

                        BotonSelectCR();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgCR").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0) {
                            $('#IdSubElementCR').val($("#jqgCR").getCell(rows[i], "Id"));

                            <%--$('#IdSubElementFA').val($("#jqgCR").getCell(rows[i], "id_hfac"));

                            $('#txtNumTarj').val($("#jqgCR").getCell(rows[i], "tarj_cred"));
                            $('#cbCuentaComi').val($("#jqgCR").getCell(rows[i], "id_cuenta"));

                            $('#txtACobrar').val($("#jqgCR").getCell(rows[i], "a_cobrar"));
                            $('#txtCobrado').val($("#jqgCR").getCell(rows[i], "cobrado"));
                            $('#txtMone').html($("#jqgCR").getCell(rows[i], "cod_mone"));

                            if (parseInt($("#jqgCR").getCell(rows[i], "agencia")) > 0) {
                                $('#txtEmpresa').html('<%=L.LBL("LblGENCompany").ToUpper() %>');
                            }
                            else {
                                $('#txtEmpresa').html('');
                            }--%>
                        }
                        if (i == 0 && parseInt($('#IdSubElementCR').val()) == 0) { }
                        var status = $("#jqgCR").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgCR").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgCR').jqGrid('setSelection', $('#IdSubElementCR').val());
                    if (parseInt($('#IdSubElementCR').val()) != 0) {
                        BotonSelectCR();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgCR").jqGrid('navGrid','#PaginadorCR',{del:false,add:false,edit:false,search:false});
            $("#bsdataCR").click(function () {
                jQuery("#jqgCR").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsCR(id) {
            $("#" + id + "_id_tcob").on('change', function () {
                BotonGuardarCR();
                UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $('#' + id + '_id_tcob').val()).val());
            });
            $("#" + id + "_id_tcob").prop('disabled', true);
            $("#" + id + "_entregado").on('input', function () { BotonGuardarCR(); });
            $("#" + id + "_aplicado").on('input', function () { BotonGuardarCR(); });
        }

        function EventsNewCR() {
            var selr = jQuery('#jqgCR').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_tcob").on('change', function () {
                BotonGuardarCR();
                UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $('#' + selr + '_id_tcob').val()).val());
                SetAccount($('#' + selr + '_id_tcob').val());
            });

            UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $('#' + selr + '_id_tcob').val()).val());
            SetAccount($('#' + selr + '_id_tcob').val());

            $("#" + selr + "_entregado").on('input', function () { BotonGuardarCR(); });
            $("#" + selr + "_aplicado").on('input', function () { BotonGuardarCR(); });
        }

        function InitializeComponentsCR()
        {
            $("#cbCuentaComi").on('change', function () { BotonGuardarCR(); });
            $("#txtNumTarj").on('input', function () { BotonGuardarCR(); });
        }

        function UnlockCIERCreditCardAccountFields(fp) {
            if (parseInt(fp) == 2) {
                $('#txtNumTarj').prop('disabled', true);
                $('#txtNumTarj').val('');
                //$('#cbMonthCIER').prop('disabled', true);
                //$('#cbYearCIER').prop('disabled', true);
                $('#cbCuentaComi').prop('disabled', false);
            }
            else if (parseInt(fp) == 3) {
                $('#txtNumTarj').prop('disabled', false);
                //$('#cbMonthCIER').prop('disabled', false);
                //$('#cbYearCIER').prop('disabled', false);
                $('#cbCuentaComi').prop('disabled', true);
                //$('#cbCuentaComi').val(0);
            }
            else {
                $('#txtNumTarj').prop('disabled', true);
                $('#txtNumTarj').val('');
                //$('#cbMonthCIER').prop('disabled', true);
                //$('#cbYearCIER').prop('disabled', true);
                $('#cbCuentaComi').prop('disabled', true);
                //$('#cbCuentaComi').val(0);
            }
        }

        function SetAccount(id) {
            // Jalar la cuenta
            $('#cbCuentaComi').val($('#HID_TC_id_cuenta_' + id).val());
            // Si es cxc y cuenta fija es cero y, la tarifa / f.e. tiene cuenta, usarla.
            if (parseInt($('#HID_TC_id_fpag_' + id).val()) == 2 && parseInt($('#HID_TC_TipoCxc_' + id).val()) == 0) {
                if (parseInt($('#txtIdCuentaCont').val()) != 0) {
                    $('#cbCuentaComi').val($('#txtIdCuentaCont').val());
                }
            }
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCR()
        {
            $("#jqgCR").jqGrid("setGridParam", {datatype: "json", datatype: GetCR, loadonce: true});
            $("#jqgCR").trigger("reloadGrid"); 
            $("#jqgCR").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCR()
        {
            $('#IdSubElementCR').val(0);
            $("#jqgCR").jqGrid('addRow',{
                initdata : {'Id': '0', 'id_hfco': '0', 'id_hfac': $('#IdSubElementFA').val(), 'propina': '0', 'comision': '0', 'vuelto': '0', 'tasa_monpag': '1'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoCR();
            EventsNewCR();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCR(){
            var id = $("#jqgCR").jqGrid('getGridParam','selrow');
            if (id)	{
                PutCR(id, $('#' + id + '_id_hfco').val(), $('#' + id + '_id_cuenta').val(), $('#' + id + '_id_tcob').val(), $('#' + id + '_id_hfac').val(), $('#' + id + '_tarj_cred').val(), $('#' + id + '_entregado').val(), $('#' + id + '_propina').val(), $('#' + id + '_comision').val(), $('#' + id + '_aplicado').val(), $('#' + id + '_vuelto').val(), $('#' + id + '_tasa_monpag').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCR(){
            var id = $("#jqgCR").jqGrid('getGridParam','selrow');
            if (id) {
                PutCR(id, $('#' + id + '_id_hfco').val(), $('#' + id + '_id_cuenta').val(), $('#' + id + '_id_tcob').val(), $('#' + id + '_id_hfac').val(), $('#' + id + '_tarj_cred').val(), $('#' + id + '_entregado').val(), $('#' + id + '_propina').val(), $('#' + id + '_comision').val(), $('#' + id + '_aplicado').val(), $('#' + id + '_vuelto').val(), $('#' + id + '_tasa_monpag').val(), $('#' + id + '_eliminado').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCR(){
            var id = $("#jqgCR").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgCR').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultCR();
        }

        function BotonDefaultCR() {
            $('#btnNuevoCR').button('enable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('disable');
        }

        function BotonNuevoCR() {
            $('#btnNuevoCR').button('disable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('enable');
        }

        function BotonSelectCR() {
            $('#btnNuevoCR').button('enable');
            var id = $("#jqgCR").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCR').button('enable');
            }
            else {
                $('#btnEliminarCR').button('disable');
            }
            $('#btnGuardarCR').button('disable');
            $('#btnCancelarCR').button('disable');
        }

        function BotonGuardarCR() {
            $('#btnNuevoCR').button('disable');
            $('#btnEliminarCR').button('disable');
            $('#btnGuardarCR').button('enable');
            $('#btnCancelarCR').button('enable');
        }

        function LoadFolio()
        {
            var nro = $('#txtNroFolio').val();
            if (!isNaN(nro)) {
                $('#txtIdCuentaCont').val(0);
                $('#Reload').val(1);
                GetCR();
            }
        }

        function ResetFormCR()
        {
            $('#IdSubElementCR').val(0);
            $('#IdSubElementMON').val(0);
            $('#IdSubElementFA').val(0);
            $('#txtNroFolio').val('');
            $('#cbCuentaComi').val(0);
            $('#txtNumTarj').val('');
            $('#txtACobrar').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtCobrado').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtMotivo').val('');
            $('#jqgCR').jqGrid('clearGridData');
            $('#txtEmpresa').html('');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando1").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridCR();

            InitializeComponentsCR();

            BotonDefaultCR();

            $('#txtNumTarj').prop('disabled', true);
            $('#cbCuentaComi').prop('disabled', true);

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="CorreccionesFoliosCerrados.aspx"><%=L.TIT("CorreccionesFoliosCerrados") %> [2.9]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 500px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando1" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("CorreccionesFoliosCerrados") %> [2.9]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultCR();RefreshGridCR();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-9-correcciones-a-folios-cerrados/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td>
                            <b><%=L.LBL("LblFDKOFNroFolio") %></b>:
                        </td>
                        <td>
                            <input type="text" id="txtNroFolio" value="" style="width: 100px; color: blue; font-weight: bold;" onblur="LoadFolio();" />
                            <input type="hidden" id="txtIdCuentaCont" value="0" />
                        </td>
                        <td>
                            <span id="txtEmpresa" style="color: purple; font-weight: bold;"></span>
                        </td>
                        <td style="width: 100%;"></td>
                        <td>
                            <b><%=L.LBL("LblFDKFAACobrar") %></b>:
                        </td>
                        <td>
                            <input type="text" id="txtACobrar" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; color: red; font-weight: bold; text-align: right;" disabled="disabled" />
                        </td>
                    </tr>
                </table>

                <br />

                <fieldset>

                    <div id="HiddenHive">
                        <div id="HidTC">
                            <%=hidTipoCobros %>
                        </div>
                    </div>
                            
                    <input type="hidden" id="IdSubElementCR" value="0" />
                    <input type="hidden" id="IdSubElementMON" value="0" />
                    <input type="hidden" id="IdSubElementFA" value="0" />
                    <input type="hidden" id="Reload" value="0" />
                    <table id="jqgCR"></table>

                    <br />

                    <fieldset>
                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKSNroTarjeta") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtNumTarj" value="" style="width: 150px;" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENCobradoEn") %> <span id="txtMone"></span>:
                                </td>
                                <td>
                                    <input type="text" id="txtCobrado" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; background-color: #B0CEE7 !important; font-weight: bold; text-align: right;" disabled="disabled" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <%=L.LBL("LblGENAccount") %>:
                                </td>
                                <td colspan="3">
                                    <select name="cbCuentaComi" id="cbCuentaComi" onchange="" style="width: 200px;" disabled="">
                                        <option value="0"></option>
                                        <%
                                            foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                            {
                                                Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                            }
                                        %>
                                    </select>
                                </td>
                            </tr>
                        </table>
                    </fieldset>

                    <br />

                    <table style="width: 100%;">
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <%--<td>
                                            <button type="button" id="bsdataCR" value="Search" >
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/binocular.png" 
                                                               alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td>
                                                        <td>
                                                            <%=L.LBL("LblGENSearch") %>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>--%>
                                        <td>
                                            <button type="button" id="btnNuevoCR" onclick="CreateCR();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENNew") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnEliminarCR" onclick="DeleteCR();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img id="btnEliminarIconCR" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                        </td>
                                                        <td id="btnEliminarTextCR"><%=L.LBL("LblGENDelete") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnGuardarCR" onclick="SaveCR();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarCR" onclick="CancelCR();">
                                                    <table>
                                                        <tr>
                                                            <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                            <td><%=L.LBL("LblGENCancel") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <b><%=L.LBL("LblGENMotivo") %></b>:
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <textarea id="txtMotivo" style="width: 467px; height: 80px;"></textarea>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnGuardarCOR" onclick="ApplyCR();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/tick.png" alt="<%=L.LBL("LblGENCorregir") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENCorregir") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarCOR" onclick="ResetFormCR();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

